package com.njzscloud.supervisory.device.contant;

import com.njzscloud.common.core.ienum.DictStr;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 字典代码：device_code
 * 字典名称：设备编号
 */
@Getter
@RequiredArgsConstructor
public enum DeviceCode implements DictStr {
    JinQianZhi("JinQianZhi", "进前置道闸"),
    Chu("Chu", "出道闸"),
    JinSheXiangTou("JinSheXiangTou", "进摄像头"),
    JinYinZhu("JinYinZhu", "进音柱"),
    DiBang("DiBang", "地磅"),
    ChuYinZhu("ChuYinZhu", "出音柱"),
    ChuSheXiangTou("ChuSheXiangTou", "出摄像头"),
    Jin("Jin", "进道闸"),
    ChuQianZhi("ChuQianZhi", "出前置道闸"),
    ;
    private final String val;
    private final String txt;
}
